-- 基础信息
base_info = {
	group_id = 247007005
}

-- DEFS_MISCS
local GroupId = 247007005
local point_id_list = {}
local MainGroupID = 247007001
local RegionID = 5001

--================================================================
--
-- 配置
--
--================================================================

-- 怪物
monsters = {
}

-- NPC
npcs = {
}

-- 装置
gadgets = {
}

-- 区域
regions = {
	{ config_id = 5001, shape = RegionShape.CUBIC, size = { x = 40.000, y = 25.000, z = 40.000 }, pos = { x = -0.218, y = -0.608, z = 240.019 } }
}

-- 触发器
triggers = {
	{ config_id = 1005001, name = "ENTER_REGION_5001", event = EventType.EVENT_ENTER_REGION, source = "", condition = "", action = "" }
}

-- 点位
points = {
	{ config_id = 5002, pos = { x = -4.152, y = -0.551, z = 247.686 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 5003, pos = { x = 3.932, y = -0.553, z = 247.632 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 5004, pos = { x = -0.173, y = -0.557, z = 248.577 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 5005, pos = { x = -7.329, y = -0.537, z = 246.471 }, rot = { x = 0.000, y = 150.000, z = 0.000 }, tag = 2 },
	{ config_id = 5006, pos = { x = 6.891, y = -0.543, z = 246.030 }, rot = { x = 0.000, y = 210.000, z = 0.000 }, tag = 2 },
	{ config_id = 5007, pos = { x = -8.549, y = -0.553, z = 243.749 }, rot = { x = 0.000, y = 110.000, z = 0.000 }, tag = 2 },
	{ config_id = 5008, pos = { x = 8.559, y = -0.548, z = 243.765 }, rot = { x = 0.000, y = 250.000, z = 0.000 }, tag = 2 },
	{ config_id = 5009, pos = { x = -8.800, y = -0.558, z = 240.043 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, tag = 2 },
	{ config_id = 5010, pos = { x = 8.660, y = -0.550, z = 240.060 }, rot = { x = 0.000, y = 270.000, z = 0.000 }, tag = 2 },
	{ config_id = 5011, pos = { x = -0.138, y = -0.543, z = 248.117 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 4 },
	{ config_id = 5012, pos = { x = -5.924, y = -0.532, z = 247.184 }, rot = { x = 0.000, y = 150.000, z = 0.000 }, tag = 4 },
	{ config_id = 5013, pos = { x = 5.553, y = -0.558, z = 247.150 }, rot = { x = 0.000, y = 210.000, z = 0.000 }, tag = 4 },
	{ config_id = 5014, pos = { x = -8.868, y = -0.549, z = 242.505 }, rot = { x = 0.000, y = 100.000, z = 0.000 }, tag = 4 },
	{ config_id = 5015, pos = { x = 8.683, y = -0.551, z = 242.510 }, rot = { x = 0.000, y = 260.000, z = 0.000 }, tag = 4 },
	{ config_id = 5016, pos = { x = -8.853, y = -0.556, z = 237.621 }, rot = { x = 0.000, y = 80.000, z = 0.000 }, tag = 4 },
	{ config_id = 5017, pos = { x = 8.589, y = -0.557, z = 237.676 }, rot = { x = 0.000, y = 280.000, z = 0.000 }, tag = 4 },
	{ config_id = 5018, pos = { x = -5.875, y = -0.558, z = 232.953 }, rot = { x = 0.000, y = 30.000, z = 0.000 }, tag = 4 },
	{ config_id = 5019, pos = { x = 5.482, y = -0.558, z = 232.868 }, rot = { x = 0.000, y = 330.000, z = 0.000 }, tag = 4 },
	{ config_id = 5020, pos = { x = -0.237, y = -0.558, z = 232.074 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 4 },
	{ config_id = 5021, pos = { x = -7.353, y = -0.516, z = 247.201 }, rot = { x = 0.000, y = 150.000, z = 0.000 }, tag = 8 },
	{ config_id = 5022, pos = { x = 6.927, y = -0.541, z = 247.203 }, rot = { x = 0.000, y = 210.000, z = 0.000 }, tag = 8 },
	{ config_id = 5023, pos = { x = -7.350, y = -0.558, z = 232.850 }, rot = { x = 0.000, y = 30.000, z = 0.000 }, tag = 8 },
	{ config_id = 5024, pos = { x = 6.850, y = -0.558, z = 232.928 }, rot = { x = 0.000, y = 330.000, z = 0.000 }, tag = 8 },
	{ config_id = 5025, pos = { x = -0.048, y = -0.540, z = 247.449 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 8 },
	{ config_id = 5026, pos = { x = -0.246, y = -0.558, z = 232.692 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 8 },
	{ config_id = 5027, pos = { x = -8.327, y = -0.557, z = 240.022 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, tag = 8 },
	{ config_id = 5028, pos = { x = 8.048, y = -0.554, z = 239.988 }, rot = { x = 0.000, y = 270.000, z = 0.000 }, tag = 8 },
	{ config_id = 5029, pos = { x = -8.222, y = -0.556, z = 235.958 }, rot = { x = 0.000, y = 60.000, z = 0.000 }, tag = 8 },
	{ config_id = 5030, pos = { x = 7.746, y = -0.549, z = 243.397 }, rot = { x = 0.000, y = 240.000, z = 0.000 }, tag = 8 },
	{ config_id = 5031, pos = { x = 3.185, y = -0.558, z = 232.374 }, rot = { x = 0.000, y = 330.000, z = 0.000 }, tag = 8 },
	{ config_id = 5032, pos = { x = -4.067, y = -0.532, z = 247.297 }, rot = { x = 0.000, y = 150.000, z = 0.000 }, tag = 8 },
	{ config_id = 5033, pos = { x = -4.585, y = -0.605, z = 235.356 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 256 }
}

-- 变量
variables = {
}

--================================================================
--
-- 初始化配置
--
--================================================================

-- 初始化时创建
init_config = {
	suite = 1,
	end_suite = 0,
	rand_suite = false
}

--================================================================
--
-- 小组配置
--
--================================================================

suites = {
	{
		-- suite_id = 1,
		-- description = ,
		monsters = { },
		gadgets = { },
		regions = { 5001 },
		triggers = { "ENTER_REGION_5001" },
		rand_weight = 100
	}
}

--================================================================
--
-- 触发器
--
--================================================================

require "V2_2/RogueDungeon_Require"
